## com.vividsolutions.jts.index.strtree
Interface AbstractSTRtree.IntersectsOp

Enclosing interface:
  AbstractSTRtree

protected static interface AbstractSTRtree.IntersectsOp

A test for intersection between two bounds, necessary because subclasses of AbstractSTRtree have different implementations of bounds.

Method Summary
`boolean` `intersects(java.lang.Object aBounds, java.lang.Object bBounds)` For STRtrees, the bounds will be Envelopes; for SIRtrees, Intervals; for other subclasses of AbstractSTRtree, some other class.

Method Detail

### intersects

    public boolean intersects(java.lang.Object aBounds,
                              java.lang.Object bBounds)

  For STRtrees, the bounds will be Envelopes; for SIRtrees, Intervals; for other subclasses of AbstractSTRtree, some other class.

  Parameters:
    `aBounds` - the bounds of one spatial object
    `bBounds` - the bounds of another spatial object
  Returns:
    whether the two bounds intersect